package com.persagy.proxy.adm.constant;

import lombok.Getter;

/**
 * 业务空间类型
 * 
 * @version 1.0.0
 * @company persagy 
 * @author zhangqiankun
 * @date 2021年9月6日 下午3:43:35
 */
@Getter
public enum SpaceTypeEnum {
	/**物业分区*/
	GeneralZone("GeneralZone", "物业分区"),
	/**供电分区*/
	PowerSupplyZone("PowerSupplyZone", "供电分区"),
	/**照明分区*/
	LightingZone("LightingZone", "照明分区"),
	/**网络分区*/
	NetworkZone("NetworkZone", "网络分区"),
	/**空调分区*/
	AirConditioningZone("AirConditioningZone", "空调分区"),
	/**采暖分区*/
	HeatingZone("HeatingZone", "采暖分区"),
	/**洁净分区*/
	CleanZone("CleanZone", "洁净分区"),
	/**生活给水分区*/
	DomesticWaterSupplyZone("DomesticWaterSupplyZone", "生活给水分区"),
	/**防火分区*/
	FireZone("FireZone", "防火分区"),
	/**安防分区*/
	SecurityZone("SecurityZone", "安防分区"),
	/**租户分区*/
	TenantZone("TenantZone", "租户分区"),
	/**功能分区*/
	FunctionZone("FunctionZone", "功能分区"),
	/**客流分区*/
	PassengerFlowZone("PassengerFlowZone", "客流分区"),
	/**疏散分区*/
	EvacuateZone("EvacuateZone", "疏散分区"),
	/**环境分区*/
	EnvironmentZone("EnvironmentZone", "环境分区"),
	/**其他分区*/
	OtherZone("OtherZone", "其他分区"),
	/**主要功能区*/
	MajorOperationZone("MajorOperationZone", "主要功能区"),
	/**停车分区*/
	ParkingZone("ParkingZone", "停车分区"),
	/**主要功能区*/
	partition("partition", "主要功能区");

	private String code;
    private String desc;

    SpaceTypeEnum(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }


    
}
